import org.roboid.robot.*;
import processing.hamster.*;

Hamster hamster;
int leftProximity;
int rightProximity;

void setup() {
  size(200,200);
  noStroke();
  hamster = new Hamster(this);
}

void draw() {
  background(255);
  fill(0);
  text("SimpleHandFollower", 10, 16);
  text("Left: " + leftProximity, 28, 185);
  text("Right: " + rightProximity, 125, 185);

  // draw bar graph
  rect(30, 20, 30, 150);
  rect(130, 20, 30, 150);
  fill(255);
  leftProximity = hamster.read(Hamster.LEFT_PROXIMITY);
  rightProximity = hamster.read(Hamster.RIGHT_PROXIMITY);
  rect(30, 20, 30, leftProximity * 2);
  rect(130, 20, 30, rightProximity * 2);

  fill(0, 0, 255);
  rect(10, 100, 180, 1);
}

void execute(Robot hamster) {
  // left wheel
  if(leftProximity > 15) {
    hamster.write(Hamster.LEFT_WHEEL, (40 - leftProximity) * 4);
  } else {
    hamster.write(Hamster.LEFT_WHEEL, 0);
  }

  // right wheel
  if(rightProximity > 15) {
    hamster.write(Hamster.RIGHT_WHEEL, (40 - rightProximity) * 4);
  } else {
    hamster.write(Hamster.RIGHT_WHEEL, 0);
  }
}
