import org.roboid.robot.*;
import processing.hamster.*;

int centerX, centerY;

void setup() {
  size(200,200);
  new Hamster(this);
  centerX = 100;
  centerY = 100;
}

void draw() {
  background(255);
  fill(0);
  text("Press a button to move..", 10, 16);
  ellipse(100,100, 30, 30);
  line(100 ,100, mouseX, mouseY);
}

void execute(Robot hamster) {
  int dx = centerX - mouseX;
  int dy = centerY - mouseY;

  hamster.write(Hamster.LEFT_WHEEL, 0);
  hamster.write(Hamster.RIGHT_WHEEL, 0);

  if(!mousePressed) return;
  
  if(abs(dx) > 15 || abs(dy) > 15) {
    if(dy < 0) {
      hamster.write(Hamster.LEFT_WHEEL, dy / 2 + dx / 2);
      hamster.write(Hamster.RIGHT_WHEEL, dy / 2 - dx / 2);
    } else {
      hamster.write(Hamster.LEFT_WHEEL, dy / 2 - dx / 2);
      hamster.write(Hamster.RIGHT_WHEEL, dy / 2 + dx / 2);
    }
  }
}
