import org.roboid.robot.*;
import processing.hamster.*;

int NUM_ROBOTS = 4;

void setup() {
  size(200,200);
  noStroke();
  Hamster.waitUntilReady(NUM_ROBOTS);
  for(int i = 0; i < NUM_ROBOTS; ++i) {
    new Hamster(this);
  }
}

void draw() {
  background(255);
  fill(0);
  text("MultipleHandFollower", 10, 16);
}

void execute(Robot hamster) {
  // left wheel
  int proximity = hamster.read(Hamster.LEFT_PROXIMITY);
  if(proximity > 15) {
    hamster.write(Hamster.LEFT_WHEEL, (40 - proximity) * 4);
  } else {
    hamster.write(Hamster.LEFT_WHEEL, 0);
  }

  // right wheel
  proximity = hamster.read(Hamster.RIGHT_PROXIMITY);
  if(proximity > 15) {
    hamster.write(Hamster.RIGHT_WHEEL, (40 - proximity) * 4);
  } else {
    hamster.write(Hamster.RIGHT_WHEEL, 0);
  }
}
